From f7474177eb5e54187602a38fea1569bb9f56856b Mon Sep 17 00:00:00 2001
From: newbluemoon <blaumolch@mailbox.org>
Date: Sat, 15 Jun 2019 10:50:01 +0200
Subject: [PATCH 1/7] New package: perl-Crypt-RC4-2.02

---
 srcpkgs/perl-Crypt-RC4/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/perl-Crypt-RC4/template

diff --git a/srcpkgs/perl-Crypt-RC4/template b/srcpkgs/perl-Crypt-RC4/template
new file mode 100644
index 00000000000..bb7bb8931ec
--- /dev/null
+++ b/srcpkgs/perl-Crypt-RC4/template
@@ -0,0 +1,16 @@
+# Template file for 'perl-Crypt-RC4'
+pkgname=perl-Crypt-RC4
+version=2.02
+revision=1
+archs=noarch
+wrksrc="${pkgname#perl-}-${version}"
+build_style=perl-module
+hostmakedepends="perl"
+makedepends="perl"
+depends="perl"
+short_desc="Perl implementation of the RC4 encryption algorithm"
+maintainer="newbluemoon <blaumolch@mailbox.org>"
+license="Artistic-1.0-Perl, GPL-1.0-or-later"
+homepage="https://metacpan.org/release/Crypt-RC4"
+distfiles="${CPAN_SITE}/Crypt/${pkgname#perl-}-${version}.tar.gz"
+checksum=5ec4425c6bc22207889630be7350d99686e62a44c6136960110203cd594ae0ea

From 109a9d9c5e4c463c7ebaf250e7af8aed8717e3d5 Mon Sep 17 00:00:00 2001
From: newbluemoon <blaumolch@mailbox.org>
Date: Sat, 15 Jun 2019 10:50:22 +0200
Subject: [PATCH 2/7] New package: perl-CryptX-0.064

---
 srcpkgs/perl-CryptX/template | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
 create mode 100644 srcpkgs/perl-CryptX/template

diff --git a/srcpkgs/perl-CryptX/template b/srcpkgs/perl-CryptX/template
new file mode 100644
index 00000000000..c22ee7dc664
--- /dev/null
+++ b/srcpkgs/perl-CryptX/template
@@ -0,0 +1,15 @@
+# Template file for 'perl-CryptX'
+pkgname=perl-CryptX
+version=0.064
+revision=1
+wrksrc="${pkgname#perl-}-${version}"
+build_style=perl-module
+hostmakedepends="perl"
+makedepends="perl"
+depends="perl"
+short_desc="Cryptographic toolkit (self-contained, no external libraries needed)"
+maintainer="newbluemoon <blaumolch@mailbox.org>"
+license="Artistic-1.0-Perl, GPL-1.0-or-later"
+homepage="https://metacpan.org/release/CryptX"
+distfiles="${CPAN_SITE}/Crypt/${pkgname#perl-}-${version}.tar.gz"
+checksum=176ef4d2eac80731b360db04289431f0b96acc2568a1fec856abed4a51779a47

From 9768979f7fb8c2c73962dcdc7595b3402ba31899 Mon Sep 17 00:00:00 2001
From: newbluemoon <blaumolch@mailbox.org>
Date: Sat, 15 Jun 2019 10:50:45 +0200
Subject: [PATCH 3/7] New package: perl-Digest-Perl-MD5-1.9

---
 srcpkgs/perl-Digest-Perl-MD5/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/perl-Digest-Perl-MD5/template

diff --git a/srcpkgs/perl-Digest-Perl-MD5/template b/srcpkgs/perl-Digest-Perl-MD5/template
new file mode 100644
index 00000000000..4ea78427ea5
--- /dev/null
+++ b/srcpkgs/perl-Digest-Perl-MD5/template
@@ -0,0 +1,16 @@
+# Template file for 'perl-Digest-Perl-MD5'
+pkgname=perl-Digest-Perl-MD5
+version=1.9
+revision=1
+archs=noarch
+wrksrc="${pkgname#perl-}-${version}"
+build_style=perl-module
+hostmakedepends="perl"
+makedepends="perl"
+depends="perl"
+short_desc="Perl implementation of Ron Rivests MD5 Algorithm"
+maintainer="newbluemoon <blaumolch@mailbox.org>"
+license="Artistic-1.0-Perl, GPL-1.0-or-later"
+homepage="https://metacpan.org/release/Digest-Perl-MD5"
+distfiles="${CPAN_SITE}/Digest/${pkgname#perl-}-${version}.tar.gz"
+checksum=7100cba1710f45fb0e907d8b1a7bd8caef35c64acd31d7f225aff5affeecd9b1

From 4dfc825e6f2bf55e448d4b7e7f35fde2da501638 Mon Sep 17 00:00:00 2001
From: newbluemoon <blaumolch@mailbox.org>
Date: Sat, 15 Jun 2019 10:51:08 +0200
Subject: [PATCH 4/7] New package: perl-Graphics-ColorUtils-0.17

---
 srcpkgs/perl-Graphics-ColorUtils/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/perl-Graphics-ColorUtils/template

diff --git a/srcpkgs/perl-Graphics-ColorUtils/template b/srcpkgs/perl-Graphics-ColorUtils/template
new file mode 100644
index 00000000000..eaa71105c53
--- /dev/null
+++ b/srcpkgs/perl-Graphics-ColorUtils/template
@@ -0,0 +1,16 @@
+# Template file for 'perl-Graphics-ColorUtils'
+pkgname=perl-Graphics-ColorUtils
+version=0.17
+revision=1
+archs=noarch
+wrksrc="${pkgname#perl-}-${version}"
+build_style=perl-module
+hostmakedepends="perl"
+makedepends="perl"
+depends="perl"
+short_desc="Easy-to-use color space conversions and more"
+maintainer="newbluemoon <blaumolch@mailbox.org>"
+license="Artistic-1.0-Perl, GPL-1.0-or-later"
+homepage="https://metacpan.org/release/Graphics-ColorUtils"
+distfiles="${CPAN_SITE}/Graphics/${pkgname#perl-}-${version}.tar.gz"
+checksum=3cd61bac56a9cf78fc132941df876292db70b872a7220ccde6eefcb36ed63604

From eeb56f78d10de14976e1a4c50f85067bd7eee66c Mon Sep 17 00:00:00 2001
From: newbluemoon <blaumolch@mailbox.org>
Date: Sat, 15 Jun 2019 10:51:33 +0200
Subject: [PATCH 5/7] New package: perl-OLE-Storage_Lite-0.19

---
 srcpkgs/perl-OLE-Storage_Lite/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/perl-OLE-Storage_Lite/template

diff --git a/srcpkgs/perl-OLE-Storage_Lite/template b/srcpkgs/perl-OLE-Storage_Lite/template
new file mode 100644
index 00000000000..c72a08eb5ea
--- /dev/null
+++ b/srcpkgs/perl-OLE-Storage_Lite/template
@@ -0,0 +1,16 @@
+# Template file for 'perl-OLE-Storage_Lite'
+pkgname=perl-OLE-Storage_Lite
+version=0.19
+revision=1
+archs=noarch
+wrksrc="${pkgname#perl-}-${version}"
+build_style=perl-module
+hostmakedepends="perl"
+makedepends="perl"
+depends="perl"
+short_desc="Simple Class for OLE document interface"
+maintainer="newbluemoon <blaumolch@mailbox.org>"
+license="Artistic-1.0-Perl, GPL-1.0-or-later"
+homepage="https://metacpan.org/release/OLE-Storage_Lite"
+distfiles="${CPAN_SITE}/OLE/${pkgname#perl-}-${version}.tar.gz"
+checksum=e72e055c35bd85ad7c20cf2adb6c89bdbf5725df969484fa6dc981d531ef2c9d

From 3680ba9249ca525afe3eda458366cf8981f728df Mon Sep 17 00:00:00 2001
From: newbluemoon <blaumolch@mailbox.org>
Date: Sat, 15 Jun 2019 10:52:04 +0200
Subject: [PATCH 6/7] New package: perl-Spreadsheet-ParseExcel-0.65

---
 srcpkgs/perl-Spreadsheet-ParseExcel/template | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)
 create mode 100644 srcpkgs/perl-Spreadsheet-ParseExcel/template

diff --git a/srcpkgs/perl-Spreadsheet-ParseExcel/template b/srcpkgs/perl-Spreadsheet-ParseExcel/template
new file mode 100644
index 00000000000..748f157113a
--- /dev/null
+++ b/srcpkgs/perl-Spreadsheet-ParseExcel/template
@@ -0,0 +1,18 @@
+# Template file for 'perl-Spreadsheet-ParseExcel'
+pkgname=perl-Spreadsheet-ParseExcel
+version=0.65
+revision=1
+archs=noarch
+wrksrc="${pkgname#perl-}-${version}"
+build_style=perl-module
+hostmakedepends="perl"
+makedepends="perl"
+depends="perl perl-Crypt-RC4 perl-Digest-Perl-MD5 perl-IO-stringy
+ perl-OLE-Storage_Lite"
+checkdepends="${depends}"
+short_desc="Read information from an Excel file"
+maintainer="newbluemoon <blaumolch@mailbox.org>"
+license="Artistic-1.0-Perl, GPL-1.0-or-later"
+homepage="https://metacpan.org/release/Spreadsheet-ParseExcel"
+distfiles="${CPAN_SITE}/Spreadsheet/${pkgname#perl-}-${version}.tar.gz"
+checksum=6ec4cb429bd58d81640fe12116f435c46f51ff1040c68f09cc8b7681c1675bec

From 1d4d59fea2c472309b5749443b2e7b1948a8e394 Mon Sep 17 00:00:00 2001
From: newbluemoon <blaumolch@mailbox.org>
Date: Sat, 15 Jun 2019 10:52:34 +0200
Subject: [PATCH 7/7] New package: perl-Spreadsheet-ParseXLSX-0.27

---
 srcpkgs/perl-Spreadsheet-ParseXLSX/template | 22 +++++++++++++++++++++
 1 file changed, 22 insertions(+)
 create mode 100644 srcpkgs/perl-Spreadsheet-ParseXLSX/template

diff --git a/srcpkgs/perl-Spreadsheet-ParseXLSX/template b/srcpkgs/perl-Spreadsheet-ParseXLSX/template
new file mode 100644
index 00000000000..189c47dd66b
--- /dev/null
+++ b/srcpkgs/perl-Spreadsheet-ParseXLSX/template
@@ -0,0 +1,22 @@
+# Template file for 'perl-Spreadsheet-ParseXLSX'
+pkgname=perl-Spreadsheet-ParseXLSX
+version=0.27
+revision=1
+archs=noarch
+wrksrc="${pkgname#perl-}-${version}"
+build_style=perl-module
+hostmakedepends="perl"
+makedepends="perl"
+depends="perl perl-Archive-Zip perl-CryptX perl-Graphics-ColorUtils
+ perl-Spreadsheet-ParseExcel perl-XML-Twig"
+checkdepends="${depends}"
+short_desc="Parse XLSX files"
+maintainer="newbluemoon <blaumolch@mailbox.org>"
+license="MIT"
+homepage="https://metacpan.org/release/Spreadsheet-ParseExcel"
+distfiles="${CPAN_SITE}/Spreadsheet/${pkgname#perl-}-${version}.tar.gz"
+checksum=da4f1ab6e3dcb6322ae5ebfc7569d3272b70b27fdb206ee7fd6456097e4ff18c
+
+post_install() {
+	vlicense LICENSE
+}
